[interchange-cvs] interchange - jon modified 3 files

interchange-core@icdevgroup.org interchange-core@icdevgroup.org
Sat Dec 14 13:00:00 2002


User:      jon
Date:      2002-12-14 17:59:30 GMT
Modified:  .        configure WHATSNEW
Modified:  scripts  interchange.PL
Log:
Require Perl 5.6.0 or newer to run Interchange.

Revision  Changes    Path
2.11      +12 -10    interchange/configure


rev 2.11, prev_rev 2.10
Index: configure
===================================================================
RCS file: /var/cvs/interchange/configure,v
retrieving revision 2.10
retrieving revision 2.11
diff -u -u -r2.10 -r2.11
--- configure	12 Dec 2002 16:08:07 -0000	2.10
+++ configure	14 Dec 2002 17:59:30 -0000	2.11
@@ -1,12 +1,14 @@
 #!/bin/sh
 
-# $Id: configure,v 2.10 2002/12/12 16:08:07 mheins Exp $
+# $Id: configure,v 2.11 2002/12/14 17:59:30 jon Exp $
+
+ICVERSION='4.9.6'
 
 cat <<EOF
 
- Interchange Version 4.9.6 Configuration
+ Interchange Version $ICVERSION Configuration
 
- Copyright 1996-2002 Red Hat, Inc. <interchange@redhat.com>
+ Copyright 1996-2002 Red Hat, Inc. and Interchange Development Group
 
  Interchange was originally based on Vend 0.2 and 0.3
  Copyright 1995, 1996 Andrew M. Wilcox <amw@wilcoxsolutions.com>
@@ -52,7 +54,7 @@
 	while true
 	do
 		if test -n "$PERL"
-		then VER=`$PERL -e '((print $]), exit 1) unless $] >= 5.005 || $^V; print $^V ? sprintf("%vd", $^V) : $]'`
+		then VER=`$PERL -e '((print $]), exit 1) unless $] >= 5.006 or $^V; printf "%vd", $^V'`
 		else false
 		fi
 		if [ $? -eq 0 ]
@@ -68,16 +70,16 @@
 				if [ -n "$VER" ]
 				then
 					echo "Found Perl $VER as $PERL"
-					echo "Perl version not high enough!"
+					echo "Interchange $ICVERSION requires Perl version 5.6.0 or newer!"
 					VER=""
 				else
-					echo "Perl version not high enough or Perl not found."
+					echo "Perl not found! Perl 5.6.0 or newer is required to run Interchange $ICVERSION."
 				fi
 			fi
 		fi
 	
 		echo
-		echo "I need to know where the Perl interpreter resides (version 5.005 or higher)."
+		echo "I need to know where the Perl interpreter resides (version 5.6.0 or higher)."
 		echo "It was not 'perl' or 'perl5', or it was not in your path. Please enter a full"
 		echo "path name, or just press <enter> to quit."
 		echo
@@ -97,9 +99,9 @@
 
 if test ! -f .cpan.tried
 then
-echo
-echo "If you get a CPAN error, rerun the configuration and it should go away."
-echo
+	echo
+	echo "If you get a CPAN error, rerun the configuration and it should go away."
+	echo
 fi
 
 $PERL Makefile.PL $*



2.72      +3 -0      interchange/WHATSNEW


rev 2.72, prev_rev 2.71
Index: WHATSNEW
===================================================================
RCS file: /var/cvs/interchange/WHATSNEW,v
retrieving revision 2.71
retrieving revision 2.72
diff -u -u -r2.71 -r2.72
--- WHATSNEW	13 Dec 2002 22:29:54 -0000	2.71
+++ WHATSNEW	14 Dec 2002 17:59:30 -0000	2.72
@@ -5,11 +5,14 @@
 
 ------------------------------------------------------------------------------
 
+
 Interchange 4.9.6 not yet released.
 
 
 Core
 ----
+
+* Perl version 5.6.0 or newer is now a requirement to run Interchange.
 
 * Add new global directive TrustProxy, which allows the administrator to
   designate certain IP addresses or hostnames as trusted proxies, whose



2.65      +5 -1      interchange/scripts/interchange.PL


rev 2.65, prev_rev 2.64
Index: interchange.PL
===================================================================
RCS file: /var/cvs/interchange/scripts/interchange.PL,v
retrieving revision 2.64
retrieving revision 2.65
diff -u -u -r2.64 -r2.65
--- interchange.PL	12 Dec 2002 16:08:07 -0000	2.64
+++ interchange.PL	14 Dec 2002 17:59:30 -0000	2.65
@@ -3,7 +3,7 @@
 #
 # Interchange version 4.9.6
 #
-# $Id: interchange.PL,v 2.64 2002/12/12 16:08:07 mheins Exp $
+# $Id: interchange.PL,v 2.65 2002/12/14 17:59:30 jon Exp $
 #
 # Copyright (C) 1996-2002 Red Hat, Inc. and others.
 # http://www.icdevgroup.org/
@@ -127,6 +127,10 @@
 
 BEGIN {
 	$VERSION = '4.9.6';
+
+	unless ($] >= 5.006) {
+		die "Interchange $VERSION requires Perl 5.6.0 or later,\nbut you're trying to run it under Perl $]. Exiting.\n";
+	}
 }
 
 use Fcntl;